#include <iostream>

using namespace std;

int main()
{
    int n,l;
    cin>>n;
    cin>>l;
    int h;
    for(int i=1;i<=n;i++){
    cin>>h;
    if(h<=l){cout<<i;return 0;}
    }
    cout << -1;
    return 0;
}